Bug 975004 - Drawing Metric Chart for changed data takes >1 min
Drawing Metric Chart for changed data takes >1 min
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Performance (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity medium
: DR01
: JON 3.3.0
Assigned To: Mike Thompson
Armine Hovsepyan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 07:03 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:03:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Armine Hovsepyan 2013-06-17 07:03:40 EDT
Description of problem:
Drawing Metric Chart for changed data takes >1 min

Version-Release number of selected component (if applicable):
jon 3.1.2 upgraded to rhq master build f4a3f5e

How reproducible:
always

Steps to Reproduce:
1. install jon 3.1.2
2. upgrade to 4.8 
3. for a resource -> Monitoring -> Tables check on metric and click Chart Selected Metrics button with time range e.g. 8 hours
4. Change time range to 12 hours and click set
5. change time range back to 8 hours (or any other time range) and click set

Actual results:
chart is being re-drawn in >1 min

Expected results:
chart is being re-drawn quicker 


Additional info:
Recorded video -> http://d.pr/v/apTw
Comment 1 Armine Hovsepyan 2013-06-17 07:15:31 EDT
another try - ~40 secs -> http://d.pr/v/1sVT
Comment 2 Mike Thompson 2013-09-24 11:36:44 EDT
There was a bug that affected charting performance that has been fixed and should also address this issue. The background refresh of the whole screen was firing at the same time that the chart was being drawn, causing a slowdown.

https://bugzilla.redhat.com/show_bug.cgi?id=1000175


This is committed to master and available to ER02.
commit id: 1334459
Comment 3 Armine Hovsepyan 2013-11-12 08:48:38 EST
Metrics chart drawing performance issue could be considered fixed for resources having <5 active resources.

For RHQ Agent resource, having 24 active resources and charts of all 24 visible in metrics page, the following happens -> http://d.pr/v/8mYi

Please let me know if bz for this issue should be filed or if the case should be considered as not-supported.
Comment 4 Heiko W. Rupp 2014-06-02 16:30:51 EDT
Armine is that still an issue with current master?
Comment 5 Armine Hovsepyan 2014-06-03 05:32:30 EDT
issue is not visible in in latest master build:

Version : 4.12.0-SNAPSHOT
Build Number : ed8a2c4

marking as verified
Comment 6 Heiko W. Rupp 2014-06-30 05:54:36 EDT
Re-setting back to MODIFIED as there is no Brew build for testing available yet.
Comment 7 Simeon Pinder 2014-07-31 11:52:26 EDT
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993
Comment 8 Armine Hovsepyan 2014-08-05 03:32:45 EDT
chart drawing takes ~10 secs if >5 charts are expanded.
marking as verified, thank you.

Note You need to log in before you can comment on or make changes to this bug.